# $Revision: 1.73.2.2 $, $Date: 2006/05/21 15:44:14 $

Summary:	Web Site CReating and Editing EnvironMent
Summary(pl):	rodowisko do tworzenia i edycji serwisw WWW
Name:		screem
Version:	0.16.1
Release:	3
License:	GPL v2+
Group:		X11/Applications/Editors
Source0:	http://dl.sourceforge.net/screem/%{name}-%{version}.tar.gz
# Source0-md5:	88bfc0afadb905ddbed9bdfbc869602a
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-deprecations.patch
URL:		http://www.screem.org/
BuildRequires:	GConf2-devel >= 2.2.0
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	dbus-glib-devel >= 0.22
BuildRequires:	enchant-devel >= 1.1.6
BuildRequires:	gnome-menus-devel >= 2.10.0
BuildRequires:	gnome-vfs2-devel >= 2.8.3
BuildRequires:	gtk+2-devel >= 2:2.6.4
BuildRequires:	gtksourceview-devel >= 1.2.0
BuildRequires:	intltool >= 0.29
BuildRequires:	libbonoboui-devel >= 2.4.0
BuildRequires:	libcroco-devel >= 0.6.0
BuildRequires:	libglade2-devel >= 2.3.0
BuildRequires:	libgnome-devel >= 2.2.0
BuildRequires:	libgnomeprintui-devel >= 2.2.0
BuildRequires:	libgnomeui-devel >= 2.6.0
BuildRequires:	libgtkhtml-devel >= 2.4.3
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 2.4.3
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.197
BuildRequires:	scrollkeeper
BuildRequires:	startup-notification-devel >= 0.5
Requires(post,preun):	GConf2
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	scrollkeeper
Requires(post,postun):	shared-mime-info
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SCREEM (Site CReating and Editing EnvironMent) is an integrated
development environment for the creation and maintainance of websites
and pages.

%description -l pl
SCREEM (Site CReating and Editing EnvironMent) jest zintegrowanym
rodowiskiem do tworzenia i prowadzenia serwisw i stron WWW.

%package devel
Summary:	SCREEM header files
Summary(pl):	Pliki nagwkowe SCREEM
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gnome-vfs2-devel >= 2.8.3
Requires:	gtk+2-devel >= 2:2.6.4
Requires:	gtksourceview-devel >= 1.2.0
Requires:	libxml2-devel >= 2.4.3

%description devel
SCREEM header files for plugin development.

%description devel -l pl
Pliki nagwkowe SCREEM do tworzenia wtyczek.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__glib_gettextize}
%{__libtoolize}
%{__intltoolize}
%{__aclocal}
%{__autoheader}
%{__automake}
%{__autoconf}
%configure \
	--enable-dbus \
	--enable-enchant \
	--disable-update-mime \
	--disable-update-desktop \
	--disable-schemas-install	
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1

#remove useless files
rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/plugins/*.la
rm -rf $RPM_BUILD_ROOT%{_datadir}/locale/no
rm -r $RPM_BUILD_ROOT%{_datadir}/application-registry

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install screem.schemas
%scrollkeeper_update_post
%update_desktop_database_post
umask 022
update-mime-database %{_datadir}/mime ||:

%preun
%gconf_schema_uninstall screem.schemas

%postun
%scrollkeeper_update_postun
%update_desktop_database_postun
if [ $1 = 0 ]; then
	umask 022
	update-mime-database %{_datadir}/mime
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc ChangeLog NEWS README BUGS
%attr(755,root,root) %{_bindir}/*
%dir %{_libdir}/screem
%dir %{_libdir}/screem/plugins
%attr(755,root,root) %{_libdir}/screem/plugins/*.so
%{_datadir}/screem
%{_pixmapsdir}/*
%{_sysconfdir}/gconf/schemas/screem.schemas
%{_datadir}/mime/packages/*
%{_desktopdir}/screem.desktop
%{_omf_dest_dir}/%{name}

%files devel
%defattr(644,root,root,755)
%{_includedir}/%{name}
%{_pkgconfigdir}/*.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: screem.spec,v $
Revision 1.73.2.2  2006/05/21 15:44:14  freetz
- rel.3

Revision 1.73.2.1  2006/05/21 11:45:46  freetz
- rel.2 for rebuild with new dbus, fixed build (deprecations patch, rebuild
  ac/am), fixed/updated BR

Revision 1.73  2006/04/20 11:43:07  ankry
- fixed typo in desktop patch, rel. 2

Revision 1.72  2005/11/16 13:30:54  paladine
- updated to 0.16.1

Revision 1.71  2005/11/03 11:37:07  patrys
- tested and works
- rel. up to 1
- sorry for the inconvenience

Revision 1.70  2005/11/03 11:20:24  patrys
- merged from DEVEL

Revision 1.69  2005/11/03 10:50:27  patrys
- up to 0.16.0
- TODO added

Revision 1.68  2005/10/02 20:14:56  arekm
- rel 2

Revision 1.67  2005/09/16 11:58:00  paladine
- updated to 0.14.3

Revision 1.66  2005/09/09 17:25:42  paladine
- rel. 3 for new gnome-menus

Revision 1.65  2005/09/04 15:27:47  arekm
- rel 2; new dbus

Revision 1.64  2005/08/07 15:43:32  paladine
- updated to 0.14.2

Revision 1.63  2005/05/19 17:38:57  paladine
- updated to 0.14.1
- some cleanup in BRs

Revision 1.62  2005/05/15 00:20:25  ankry
- %post shouldn't fail if no rw permission to /usr

Revision 1.61  2005/04/29 10:42:18  paladine
- updated to 0.12.2
- gpm-friendly Source0 URL
- new style macros
- don't package gnome-mime-data stuff

Revision 1.60  2004/11/27 18:52:09  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.59  2004/11/26 11:29:19  paladine
- moved GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL to proper place

Revision 1.58  2004/11/23 20:00:08  havner
- try this way

Revision 1.57  2004/11/23 18:20:09  paladine
- updated BRs
- removed libcroco patch
- updated desktop patch
- fixed build (based on spec from DEVEL)
- package more files
- rel 1 (sorry paszczus but I was working on the same thing)

Revision 1.56  2004/11/23 18:14:39  paszczus
- added umask 022 to %post and %postun

Revision 1.55  2004/11/23 18:06:41  paszczus
- added things from glabels.spec (about update-mime-database)

Revision 1.54  2004/11/23 17:59:54  paszczus
- added --disable-update-mime to %configure

Revision 1.53  2004/11/23 14:46:35  paszczus
- updated to 0.12.1 (stable)
- commented out Patch1 for test-build; release 0.1

Revision 1.52  2004/10/29 10:29:13  paladine
- spelling fixes

Revision 1.51  2004/09/17 01:17:45  havner
- rel 3

Revision 1.50  2004/09/17 01:12:02  havner
- libcroco patch, BR libcroco >= 0.6 (real BR is 0.5, but due to this
  patch it won't work on 0.5)

Revision 1.49  2004/09/17 00:28:15  havner
- rel 2 to rebuild with new libcroco

Revision 1.48  2004/07/27 14:06:04  ankry
- 0.10.2

Revision 1.47  2004/07/15 12:42:15  ankry
- updated .desktop, removed obsolete no locale, rel. 3

Revision 1.46  2004/03/14 20:28:14  qboosh
- release 2

Revision 1.45  2004/03/14 20:19:53  qboosh
- refresh config.sub for amd64

Revision 1.44  2004/03/14 19:59:41  undefine
- downgrade to stable 0.8.2, release 1. builds and works

Revision 1.43  2003/12/29 01:04:37  undefine
- release 0.1, nty, update to 0.9.3, BR: perl-XML-Parser

Revision 1.42  2003/09/15 20:46:06  adamg
- updated to 0.8.1

Revision 1.41  2003/09/15 06:05:38  aflinta
- one more br

Revision 1.40  2003/09/15 06:01:16  aflinta
- version 0.8.0

Revision 1.39  2003/08/23 22:04:41  freetz
- up to 0.7.3

Revision 1.38  2003/08/15 17:43:10  freetz
- up to 0.7.2

Revision 1.37  2003/08/08 19:47:19  freetz
- s/Gconf2/GConf2, rel. 3

Revision 1.36  2003/08/05 12:22:36  ankry
- cosmetics

Revision 1.35  2003/08/05 11:59:02  grzegol
- rel++ to rebuild without linc
- cosmetics/sorting/simplifications/etc.

Revision 1.34  2003/06/01 11:42:27  aflinta
- updated to version 0.7.1

Revision 1.33  2003/05/30 06:57:37  misi3k
- updated to 0.7.0

Revision 1.32  2003/05/28 13:01:49  malekith
- massive attack: source-md5

Revision 1.31  2003/05/25 06:26:35  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.30  2003/03/23 17:57:20  aflinta
- updated to version 0.6.1

Revision 1.29  2003/02/28 10:08:54  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.28  2003/01/18 22:56:19  juandon
- removed two lines with define

Revision 1.27  2002/10/30 13:05:29  ankry
- desktop moved to Editors/HTML, cleaning, rel. 6

Revision 1.26  2002/07/10 17:49:10  blues
- new doc

Revision 1.25  2002/07/07 00:17:39  undefine
- works fine. release 5. stbrasap

Revision 1.24  2002/07/07 00:07:16  maryush
- added missing BR
- please testing - if work correctly please rel++ ;)

Revision 1.23  2002/07/06 23:43:32  maryush
- disable auto* tools now (broken -=> if (auto == enabled) screem.build=FAIL;)
- added missing make options gdkpix_buf and libglade (screem-make_fix.patch)
- build and work ok, but need testing

Revision 1.22  2002/06/23 20:52:53  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.21  2002/06/23 20:32:36  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.20  2002/05/21 23:14:41  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.19  2002/03/24 23:28:24  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.18  2002/02/22 23:29:42  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/01/18 02:14:52  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.16  2001/09/26 13:05:45  qboosh
- pl translations, BuildRequires: libtool

Revision 1.15  2001/09/18 11:04:21  blues
- removed no_hardcoded_sequences patch (this is screem, not screen)

Revision 1.14  2001/08/16 08:25:02  blues
- typo

Revision 1.13  2001/07/23 03:52:25  kloczek
- release 4,
- added no_hardcoded_term_sequences patch:
  Remove *ALL* hardcoding term sequences. After remove all this stupid things
  pine withouth harcoded sequences also can work correctly.

Revision 1.12  2001/04/19 01:51:32  kloczek
- release 3,
- reuild against gal 0.7,
- added use_AM_GNU_GETTEXT patch.

Revision 1.11  2001/03/19 18:06:18  kloczek
- release 2,
- added missing gtkhtml-devel Buildrequires,
- rebuild against gtkhtml linked with gal 0.5.

Revision 1.10  2001/03/16 02:35:19  kloczek
- updated to 0.4.1.

Revision 1.9  2001/03/03 12:09:04  kloczek
- updated to 0.4.0.

Revision 1.8  2001/02/11 20:12:55  kloczek
- release 4: removed *.la files from plugins directory.

Revision 1.7  2001/02/02 17:50:35  kloczek
- perl -pi -e "s/^\%\{_datadir\}\/pixmaps/\%\{_pixmapsdir\}/"

Revision 1.6  2000/10/30 07:49:18  kloczek
- release 4: rebuild against gnome-libs linked with db3.

Revision 1.5  2000/10/18 01:50:16  kloczek
- release3: added guile-devel to BuildRequires.

Revision 1.4  2000/10/12 05:52:12  kloczek
- release 2,
- use new rpm automation,
- remove w3c-libwww-devel from BuildRequires,
- build against new gnome-print 0.24.

Revision 1.3  2000/08/19 16:20:38  kloczek
- updated to 0.3.0,
- news Source url,
- run %%find_lang --with-gnome now for find all help files.

Revision 1.2  2000/07/25 09:50:21  kloczek
- rewritten in PLD style.
